Name:           debbuild
Version:        0.11.2
Release:        1%{?dist}
Summary:        Build Debian-compatible .deb packages from RPM .spec files

License:        GPLv2+
URL:            https://secure.deepnet.cx/trac/%{name}
Source0:        https://secure.deepnet.cx/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?rhel} > 0 && 0%{?rhel} < 7
BuildRequires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%else
BuildRequires:  perl-podlators
%endif

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       dpkg

%if 0%{?fedora} > 21 || 0%{?rhel} >= 8
Recommends:     dpkg-dev
%else
Requires:       dpkg-dev
%endif

Requires:       pax, fakeroot, bash
Requires:       patch, bzip2, xz

%{?perl_default_filter}

%description
debbuild attempts to build Debian-friendly semi-native packages from
RPM spec files, RPM-friendly tarballs, and RPM source packages
(.src.rpm files).  It accepts most of the options rpmbuild does, and
should be able to interpret most spec files usefully.

%prep
%setup -q


%build
# Nothing really to build here


%install
make install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%files
%{!?_licensedir:%global license %doc}
%{_bindir}/%{name}
%license COPYING
%{_mandir}/man8/%{name}.8*


%changelog
* Thu Jul 16 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.11.2-1
- Update to 0.11.2

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-5
- Fix previous changelog entry

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-4
- Add magic definition for storing license file to work on <el7

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-3
- Fixed perl BuildRequires error for <el7

* Sun Jul  5 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-2
- Fix dependencies on dpkg-dev and xz
- Remove superfluous spec statements (BuildRoot, etc.)
- Make variable usage consistent

* Fri Jun 12 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-1
- Initial packaging
